C-Command Software Forum

Incompatible Plugin on Beta 10 with v2.9.40

I tried installing the Plugin with Option Key down and still get the error.

BTW, it worked with SIP off. But I like it on.

It should work with Big Sur beta 10 in general; I just tested it again. What does the error message say?

Incompatible mail plugin.
It even says that when there is no plugin in the ~/Library/Mail/Bundles folder. The folder is empty.When I look at mail preferences the item still sits there disabled.
When I relaunch Mail, it complains again.
Is there a shadow location?

Yes, Mail loads the actual plug-ins from /Users/<username>/Library/Application Support/Mail/Plug-ins/Bundles/, as described here. Holding down the Option key when you install the plug-in should clear that out, but if not you can do it manually.

I cleared that out and then started from scratch. That seems to work.
BTW - there is no ~/Library/Containers/com.apple.mail folder on my installation as mentioned in your trouble shooting page.

All Mail installations should have the ~/Library/Containers/com.apple.mail folder, but the full /Users/<username>/Library/Containers/com.apple.mail/Data/DataVaults/ folder is only for macOS 10.15 and earlier. That’s why it’s not mentioned in the macOS 11 section of the troubleshooting page.

Thanks.